Editar chequera
curl --request PUT \
--url https://api.filexpress.app/api/external/treasury/checkbooks/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"status": "CANCELLED"
}
'const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'CANCELLED'})
};
fetch('https://api.filexpress.app/api/external/treasury/checkbooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.filexpress.app/api/external/treasury/checkbooks/{id}"
payload = { "status": "CANCELLED" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.filexpress.app/api/external/treasury/checkbooks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'status' => 'CANCELLED'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": true,
"data": {
"id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"bank_id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"name": "Chequera 2027",
"code": "B",
"start_number": 101,
"end_number": 200,
"current_number": 101,
"status": "CANCELLED"
}
}{
"status": false,
"message": "Invalid API Key."
}{
"status": false,
"message": "This integration does not have the 'hr.employees' permission.",
"required_scope": "hr.employees"
}{
"status": false,
"message": "Checkbook not found"
}{
"status": false,
"message": "Validation errors",
"errors": {
"status": [
"The selected status is invalid."
]
}
}{
"status": false,
"message": "Rate limit exceeded. Please try again later.",
"rate_limit": 100
}Editar chequera
Actualiza nombre, código o estado. El rango y el banco no cambian.
Permiso requerido: treasury.write
PUT
/
treasury
/
checkbooks
/
{id}
Editar chequera
Authorizations
API Key de la integración (Integraciones → Nueva Integración).
Path Parameters
ID de la chequera
Body
application/json